ACN::SDT::wrapper_data Struct Reference

4.4.6 Reliable Wrapper and Unreliable Wrapper More...

`#include <sdt.h>`

Inheritance diagram for ACN::SDT::wrapper_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| wrapper_data::streamSize More...
void | iStream (PDU::Stream) override
| wrapper_data::iStream More...
void | oStream (PDU::Stream) const override
| wrapper_data::oStream More...

## Public Attributes

uint16_t | channel
| channel number
uint32_t | sequence
| sequence number
uint32_t | reliable
| reliable number
uint32_t | oldest
| oldest sequence number
MID | ack_range_begin
| first MID to acknowledge
MID | ack_range_end
| last MID to acknowledge
uint16_t | MAK_threshold
| MAK Threshold.
PDU::Block< CLIENT::Pdu > | block
| client PDU block

## Detailed Description

4.4.6 Reliable Wrapper and Unreliable Wrapper

## Member Function Documentation

## iStream()

void ACN::SDT::wrapper_data::iStream | ( | PDU::Stream | stream | ) |

overridevirtual

wrapper_data::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## oStream()

void ACN::SDT::wrapper_data::oStream | ( | PDU::Stream | stream | ) | const

overridevirtual

wrapper_data::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t ACN::SDT::wrapper_data::streamSize | ( |  | ) | const

overridevirtual

wrapper_data::streamSize

Returns

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/sdt.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sdt/sdt.cpp